Skip to main content
GET
Validate a number

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Query Parameters

phone_number
string
required

The phone number to validate, in E.164 format with or without the leading +.

Example:

"971569483322"

type
enum<string>
required

Depth of validation to perform. Accepts a PhoneNumberValidationType value. Depth of validation to perform on the phone number. One of format (checks number syntax only), analysis (returns number metadata such as type and country), or validation (performs a live network lookup of the number's current status).

Available options:
format,
analysis,
validation

Response

Returns the phone number validation details.

phone_number
string
required

Phone number.

Example:

"971569483322"

valid
boolean
required

Indicates whether the phone number is valid.

Example:

true

country_code
string | null
required

ISO 3166-1 alpha-2 country code of the phone number. null if the number is invalid.

Example:

"AE"

e164_format
string
required

Phone number in international E.164 format.

Example:

"+971569483322"

national_format
string
required

Phone number in the national format of the identified country.

Example:

"056 948 3322"

charge
string
required

Charge for the validation.

Example:

"0.015"

error_code
string
required

Error code for the request. 000 indicates success. Possible values:

  • 013: — Internal service error
  • 021: — Invalid phone number length or format
  • 041: — Request timeout
  • 042: — Request failed
  • 091: — Insufficient funds
Example:

"000"

ported
boolean | null

Indicates whether the phone number was ported or not. null if the phone number is invalid.

Example:

false

mcc
string | null

Mobile Country Code of the phone number carrier. For mobile phone numbers only. null if the phone number is invalid.

Example:

"424"

mnc
string | null

Mobile Network Code of the phone number carrier. For mobile phone numbers only. null if the phone number is invalid

Example:

"004"

number_type
string | null

Number type. Possible values are mobile, landline, or toll-free. null if the phone number is invalid.

Example:

"mobile"

carrier_name
string | null

Name of the phone number carrier. null if the phone number is invalid.

Example:

"Etisalat"

risky_destination
boolean | null

Indicates whether the phone number belongs to a number range associated with traffic pumping. null if the number is invalid.

Example:

false

unallocated_range
boolean | null

Indicates whether the phone number belongs to an unallocated number range. null if the number is invalid

Example:

false

reachable
boolean | null

Indicates whether the number is registered in a mobile network. For mobile phone numbers only. null if the number is invalid

Example:

true

roaming
boolean | null

Indicates whether the number is roaming. For mobile phone numbers only. null if the number is invalid

Example:

false

timezone
string | null

Time zone based on the phone number's country and area code. null if the number is invalid.

Example:

"UTC+04:00"